Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_ORB_Core_TSS_Resources Class Reference

The TSS resoures of an ORB core. More...

`#include <ORB_Core.h>`

Collaboration diagram for TAO_ORB_Core_TSS_Resources:

[legend]
List of all members.

## Public Methods
| TAO_ORB_Core_TSS_Resources (void)
| Constructor.
| ~TAO_ORB_Core_TSS_Resources (void)
| destructor
## Public Attributes
int | event_loop_thread_
int | client_leader_thread_
void * | lane_
| Lane for this thread.
ACE_Array_Base< void * > | ts_objects_
| Generic container for thread-specific objects.
TAO_ORB_Core * | orb_core_
TAO_PICurrent_Impl | pi_current_
| The thread-specific portion of the PICurrent object.
TAO_ClientRequestInfo * | client_request_info_
## Private Methods
| TAO_ORB_Core_TSS_Resources (const TAO_ORB_Core_TSS_Resources &)
| The ORB Core TSS resources should not be copied.
void | operator= (const TAO_ORB_Core_TSS_Resources &)

## Detailed Description

The TSS resoures of an ORB core.

This class is used by the ORB_Core to store the resources potentially bound to a thread in TSS storage. The members are public because only the ORB Core is expected to access them.

## Constructor & Destructor Documentation

TAO_ORB_Core_TSS_Resources::TAO_ORB_Core_TSS_Resources | ( | void |  | ) |

| Constructor.

TAO_ORB_Core_TSS_Resources::~TAO_ORB_Core_TSS_Resources | ( | void |  | ) |

| destructor

TAO_ORB_Core_TSS_Resources::TAO_ORB_Core_TSS_Resources | ( | const TAO_ORB_Core_TSS_Resources & |  | ) | `[private]`

| The ORB Core TSS resources should not be copied.

## Member Function Documentation

void TAO_ORB_Core_TSS_Resources::operator= | ( | const TAO_ORB_Core_TSS_Resources & |  | ) | `[private]`

## Member Data Documentation

int TAO_ORB_Core_TSS_Resources::client_leader_thread_

| Counter for how many times this thread has become a client leader.

TAO_ClientRequestInfo* TAO_ORB_Core_TSS_Resources::client_request_info_

| The PortableInterceptor::ClientRequestInfo object for the current thread.

int TAO_ORB_Core_TSS_Resources::event_loop_thread_

| Counter for how (nested) calls this thread has made to run the event loop.

void* TAO_ORB_Core_TSS_Resources::lane_

| Lane for this thread.

TAO_ORB_Core* TAO_ORB_Core_TSS_Resources::orb_core_

| Pointer to the ORB core. Needed to get access to the TSS cleanup functions for the TSS objects stored in the TSS object array in this class.

TAO_PICurrent_Impl TAO_ORB_Core_TSS_Resources::pi_current_

| The thread-specific portion of the PICurrent object.

ACE_Array_Base<void *> TAO_ORB_Core_TSS_Resources::ts_objects_

| Generic container for thread-specific objects.

The documentation for this class was generated from the following files:

- ORB_Core.h
- ORB_Core.cpp